> For the complete documentation index, see [llms.txt](https://seer-3.gitbook.io/seer-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://seer-3.gitbook.io/seer-documentation/developers/subgraph/graphql-query/swapr.md).

# Swapr

### GetPools

```graphql
query GetPools(
  $skip: Int = 0
  $first: Int
  $orderBy: Pool_orderBy
  $orderDirection: OrderDirection
  $where: Pool_filter
  $block: Block_height
  $subgraphError: _SubgraphErrorPolicy_! = deny
) {
  pools(
    skip: $skip
    first: $first
    orderBy: $orderBy
    orderDirection: $orderDirection
    where: $where
    block: $block
    subgraphError: $subgraphError
  ) {
    id
    fee
    liquidity
    sqrtPrice
    tick
    token0 {
      id
      symbol
      name
      decimals
      __typename
    }
    token1 {
      id
      symbol
      name
      decimals
      __typename
    }
    token0Price
    token1Price
    volumeUSD
    txCount
    totalValueLockedToken0
    totalValueLockedToken1
    totalValueLockedUSD
    totalValueLockedUSDUntracked
    untrackedVolumeUSD
    feesUSD
    __typename
  }
}
```

### GetEternalFarmings

```graphql
query GetEternalFarmings(
  $skip: Int = 0
  $first: Int = 100
  $orderBy: EternalFarming_orderBy
  $orderDirection: OrderDirection
  $where: EternalFarming_filter
  $block: Block_height
  $subgraphError: _SubgraphErrorPolicy_! = deny
) {
  eternalFarmings(
    skip: $skip
    first: $first
    orderBy: $orderBy
    orderDirection: $orderDirection
    where: $where
    block: $block
    subgraphError: $subgraphError
  ) {
    id
    pool
    rewardToken
    bonusRewardToken
    reward
    rewardRate
    startTime
    endTime
  }
}
```

### GetDeposits

```graphql
query GetDeposits(
  $skip: Int = 0
  $first: Int = 100
  $orderBy: Deposit_orderBy
  $orderDirection: OrderDirection
  $where: Deposit_filter
  $block: Block_height
  $subgraphError: _SubgraphErrorPolicy_! = deny
) {
  deposits(
    skip: $skip
    first: $first
    orderBy: $orderBy
    orderDirection: $orderDirection
    where: $where
    block: $block
    subgraphError: $subgraphError
  ) {
    id
    owner
    pool
    limitFarming
    eternalFarming
    onFarmingCenter
  }
}
```

### GetPoolHourDatas

```graphql
query GetPoolHourDatas(
  $skip: Int = 0
  $first: Int
  $where: PoolHourData_filter
  $orderBy: PoolHourData_orderBy
  $orderDirection: OrderDirection
  $block: Block_height
  $subgraphError: _SubgraphErrorPolicy_! = deny
) {
  poolHourDatas(
    skip: $skip
    first: $first
    orderBy: $orderBy
    orderDirection: $orderDirection
    where: $where
    block: $block
    subgraphError: $subgraphError
  ) {
    token0Price
    token1Price
    pool {
      id
      token0 {
        id
        name
      }
      token1 {
        id
        name
      }
    }
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://seer-3.gitbook.io/seer-documentation/developers/subgraph/graphql-query/swapr.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
